<div fxLayout="column" fxLayoutAlign="center center" [style]="env.name !='sage'? {'margin-bottom': '3%'}:{'margin-bottom': '6%'}">
    <mat-toolbar class="signin-header md-primary" [style]="env.name !='sage' && env.loginBgImg?{'background-image': env.loginBgImg}:{'background-image': env.loginBgImg ,'margin-bottom': '3%'}">
        <section class="logo">
            <a style="padding-right: 2%">
                <img alt="" [style]="env.name!='sage'?{width:'15%'}:{width:'8%'}" src="{{env.imageLogo}}">
            </a>
        </section>
    </mat-toolbar>
</div>
<div fxLayout="row" fxLayoutAlign="center center" >
    <form id="retrievePwdForm"  class="form-horizontal" [formGroup]="retriveForm" >
        <mat-card>
            <mat-card-title style="margin-bottom: 3%;" >{{'msg.login.retrivePwd.userPassword.dialog.title' | translate}}</mat-card-title>
            <mat-card-content>
                <mat-form-field appearance="outline" style="width: 100%" [color]="passwordComponent.color">
                    <mat-label>{{'msg.login.retrivePwd.userPassword.dialog.password'| translate}}</mat-label>
                    <mat-pass-toggle-visibility #toggle matSuffix></mat-pass-toggle-visibility>
                    <input matInput #password
                           [type]="toggle.type"
                           required
                           placeholder="Password"
                           formControlName="password"
                    >
                </mat-form-field>
                <mat-form-field appearance="outline" style="width: 100%">
                    <mat-label>{{'msg.login.retrivePwd.userPassword.dialog.password.confirmPassword'| translate}}</mat-label>
                    <input matInput  [type]="showPwd ? 'password' : 'text'" formControlName="password" name="confirm_password" formControlName="confirm_password" placeholder="{{'msg.login.retrivePwd.userPassword.dialog.password.confirmPassword' | translate}}">
                    <button mat-icon-button matSuffix (click)="showPwd = !showPwd" [attr.aria-label]="'Hide password'" [attr.aria-pressed]="showPwd">
                        <mat-icon>{{showPwd ? 'visibility_off' : 'visibility'}}</mat-icon>
                    </button>
                    <mat-error *ngIf="hasError('confirm_password', 'required')">{{'msg.login.retrivePwd.userPassword.dialog.password.confirmPassword.required'| translate}}</mat-error>
                    <mat-error *ngIf="hasError('confirm_password', 'confirmedValidator')">{{'msg.login.retrivePwd.userPassword.dialog.password.confirmPassword.valid'| translate}}</mat-error>
                </mat-form-field>
                <!--@angular-material-extensions/password-strength's main component-->
                <mat-password-strength #passwordComponent #passwordComponentWithValidation
                                       [password]="password.value">
                </mat-password-strength>
                <!--Password's strength info-->
                <mat-password-strength-info
                        lowerCaseCriteriaMsg="{{'msg.login.retrivePwd.userPassword.dialog.password.lowerCaseCriteriaMsg' | translate}}"
                        upperCaseCriteriaMsg="{{'msg.login.retrivePwd.userPassword.dialog.password.upperCaseCriteriaMsg' | translate}}"
                        digitsCriteriaMsg="{{'msg.login.retrivePwd.userPassword.dialog.password.digitsCriteriaMsg' | translate}}"
                        specialCharsCriteriaMsg="{{'msg.login.retrivePwd.userPassword.dialog.password.specialCharsCriteriaMsg' | translate}}"
                        minCharsCriteriaMsg="{{'msg.login.retrivePwd.userPassword.dialog.password.minCharsCriteriaMsg' | translate}}"
                        *ngIf="showDetails"
                        [passwordComponent]="passwordComponent">
                </mat-password-strength-info>
            </mat-card-content>
            <mat-card-actions align="end">
                <button mat-button  (click)="onNoClick()" class="btn-dark">{{'msg.login.retrivePwd.userPassword.dialog.password.close' | translate}}</button>
                <button mat-raised-button class="btnSubmit" [disabled]="(!passwordComponent.containAtLeastMinChars ||
                !passwordComponent.containAtLeastOneLowerCaseLetter || !passwordComponent.containAtLeastOneUpperCaseLetter || !passwordComponent.containAtLeastOneDigit || !passwordComponent.containAtLeastOneSpecialChar) || !retriveForm.valid"
                        (click)="onConfirm()">{{'msg.login.retrivePwd.userPassword.dialog.password.confirm' | translate}}</button>
            </mat-card-actions>
        </mat-card>
    </form>
</div>